kate(1)

kate - Editor di testo avanzato della comunità KDE

kate [-s, --start name] [--startanon] [-n, --new] [-b, --block] [-p, --pid pid] [-e, --encoding name] [-l, --line line] [-c, --column column] [-i, --stdin] [--tempfile] [file]

Descrizione

Kate è l'editor di testo avanzato per KDE.

Kate fornisce anche il componente per la modifica del testo per varie applicazioni, con il nome KWrite.

Alcune delle molte funzioni di Kate includono l'evidenziazione della sintassi configurabile per molti linguaggi (da C e C++ ad HTML, a script bash), l'abilità di creare progetti e di fare manutenzione su di essi, un'interfaccia basata su documenti multipli (MDI), ed anche un emulatore di terminale a sé stante.

Ma Kate è molto più di un editor avanzato di testi: la sua capacità di aprire diversi file contemporaneamente è l'ideale per modificare i molti file di configurazione di UNIX®. Questo documento, ad esempio, è stato scritto con Kate!

Opzioni

-s, --start nome
    Avvia Kate con una sessione data.

--startanon
    Avvia Kate con una nuova sessione anonima; implica -n.

-n, --new
    Forza l'avvio di una nuova istanza di Kate (è ignorata se è usato start ed un'altra istanza di Kate ha già aperto la sessione data), forzato se non vengono specificati parametri ed URL.

-b, --block
    Se viene usata un'istanza di Kate già in esecuzione, quest'opzione blocca fino a quando quell'istanza termina, nel caso in cui vengono passati URL da aprire.

-p, --pid pid
    Prova a riutilizzare solo l'istanza di Kate con questo pid (è ignorata se è usato start ed un'altra istanza di Kate ha già aperto la sessione data).

-e, --encoding nome
    Imposta la codifica per il file da aprire.

    Puoi usare questa opzione ad esempio per costringere l'apertura di un file con la codifica utf-8. (Il comando iconv -l fornisce un elenco delle codifiche, e può esserti utili).

-l, --line riga
    Spostati in questa riga.

column colonna
    Spostati in questa colonna.

-i, --stdin
    Leggi il contenuto di stdin.

--tempfile
    I file/URL aperti dall'applicazione saranno rimossi dopo l'uso.

file
    File da aprire.

Vedi anche
    La documentazione per l'utente più dettagliata è disponibile usando help:/kate (inserisci questo URL in Konqueror oppure avvia khelpcenter help:/kate).
    kf6options(7)
    qt6options(7)
    Ulteriori informazioni sono inoltre disponibili ne il sito web di Kate[1].

Esempi

Per aprire un file dal nome sorgente.cpp alla colonna 15 della riga 25 in una finestra esistente di Kate potresti usare:

    kate -c 15 -l 25 sorgente.cpp

Se hai una connessione internet attiva puoi sfruttare la trasparenza alla rete di KDE per aprire un file da un sito FTP. Se non hai i permessi di scrittura sul server remoto il file sarà aperto in modalità di sola lettura, e ti verrà chiesto un nome da usare per il file locale in cui salvare le tue eventuali modifiche. Se invece hai i permessi di scrittura, allora le modifiche saranno salvate in modo trasparente sulla rete.

    kate ftp://ftp.kde.org/pub/kde/README

Autori

Il responsabile di Kate è Christoph Cullmann <cullmann@kde.org>. Un elenco completo degli autori e dei collaboratori è disponibile nel manuale per l'utente completo summenzionato.

Lauri Watts <lauri@kde.org>

1.  il sito web di Kate
    https://kate-editor.org/